### GET /messaging/{connection_id}/channel/{id} Source: https://api.unified.to/docs/openapi-messaging.json API endpoint for GET /messaging/{connection_id}/channel/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|name|description|parent_channel_id|parent_id|has_subchannels|members|is_active|is_private|web_url|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Channel ### Responses #### 200 - Successful **MessagingChannel** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) (required) - **description** (string) - **parent_channel_id** (string) - **parent_id** (string) - **has_subchannels** (boolean) - **members** (array (MessagingMember)) Array items: - **user_id** (string) - **email** (string) - **name** (string) - **image_url** (string) - **is_active** (boolean) - **is_private** (boolean) - **web_url** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/messaging/{connection_id}/channel/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /messaging/{connection_id}/message/{id} Source: https://api.unified.to/docs/openapi-messaging.json API endpoint for GET /messaging/{connection_id}/message/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|channel_id|channel_ids|channels|parent_id|root_message_id|message_thread_identifier|author_member|destination_members|hidden_members|mentioned_members|reactions|subject|message|message_html|message_markdown|attachments|web_url|reference|has_children|is_unread|buttons|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Message ### Responses #### 200 - Successful **MessagingMessage** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **channel_id** (string) - **channel_ids** (array (string)): @deprecated; use channels instead - **channels** (array (MessagingReference)): Represents the names of all channels to which the message is sent. Identifies the channels where the message is posted. Array items: - **id** (string) - **name** (string) - **parent_id** (string) - **root_message_id** (string) - **message_thread_identifier** (string) - **author_member** (object): for email systems, this field represents the From value - **user_id** (string) - **email** (string) - **name** (string) - **image_url** (string) - **destination_members** (array (MessagingMember)): for email systems, this field represents the To value Array items: - **hidden_members** (array (MessagingMember)): for email systems, this field represents the BCC value Array items: - **mentioned_members** (array (MessagingMember)): for email systems, this field represents the CC value Array items: - **reactions** (array (MessagingReaction)) Array items: - **reaction** (string) (required) - **member** (object) (required) - **subject** (string) - **message** (string) - **message_html** (string) - **message_markdown** (string) - **attachments** (array (MessagingAttachment)) Array items: - **filename** (string) - **size** (number) - **content_identifier** (string) - **content_type** (string) - **download_url** (string) - **message_id** (string) - **web_url** (string) - **reference** (string) - **has_children** (boolean) - **is_unread** (boolean) - **buttons** (array (MessagingButton)) Array items: - **id** (string) (required) - **text** (string) - **icon** (string) - **raw** (object) ### Example Usage ```bash curl -X GET "https://api.unified.to/messaging/{connection_id}/message/{id}?fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /messaging/{connection_id}/message Source: https://api.unified.to/docs/openapi-messaging.json API endpoint for GET /messaging/{connection_id}/message ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **parent_id** (string, query, optional): The parent ID to filter by - **channel_id** (string, query, optional): The channel ID to filter by. You can also use these aliases; INBOX, SENT or DRAFT (reference to MessagingChannel) - **start_gte** (string, query, optional): The start date to filter by (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **end_lt** (string, query, optional): The end date to filter by (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **expand** (boolean, query, optional): Whether to flatten grouped or recurring items into individual entries. - **user_id** (string, query, optional): The user/employee ID to filter by (reference to HrisEmployee) - **type** (string, query, optional) - **user_mentioned_id** (string, query, optional): The user/employee ID to filter by - **fields** (array (string (id|created_at|updated_at|channel_id|channel_ids|channels|parent_id|root_message_id|message_thread_identifier|author_member|destination_members|hidden_members|mentioned_members|reactions|subject|message|message_html|message_markdown|attachments|web_url|reference|has_children|is_unread|buttons|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **MessagingMessages** - Array of MessagingMessage ### Example Usage ```bash curl -X GET "https://api.unified.to/messaging/{connection_id}/message?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&parent_id=string&channel_id=string&start_gte=string&end_lt=string&expand=true&user_id=string&type=string&user_mentioned_id=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### GET /messaging/{connection_id}/channel Source: https://api.unified.to/docs/openapi-messaging.json API endpoint for GET /messaging/{connection_id}/channel ```markdown ### Parameters - **limit** (number, query, optional) - **offset** (number, query, optional) - **updated_gte** (string, query, optional): Return only results whose updated date is equal or greater to this value (ISO-8601 / YYYY-MM-DDTHH:MM:SSZ format) - **sort** (string, query, optional) - **order** (string, query, optional) - **query** (string, query, optional): Query string to search. eg. email address or name - **parent_id** (string, query, optional): The parent ID to filter by - **type** (string, query, optional) - **fields** (array (string (id|created_at|updated_at|name|description|parent_channel_id|parent_id|has_subchannels|members|is_active|is_private|web_url|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Responses #### 200 - Successful **MessagingChannels** - Array of MessagingChannel ### Example Usage ```bash curl -X GET "https://api.unified.to/messaging/{connection_id}/channel?limit=0&offset=0&updated_gte=string&sort=string&order=string&query=string&parent_id=string&type=string&fields=item1,item2&raw=string" ``` ``` -------------------------------- ### API Overview: Unified.to MESSAGING API Source: https://api.unified.to/docs/openapi-messaging.json One API to Rule Them All ```yaml # Unified.to MESSAGING API # Version: 1.0 One API to Rule Them All # Base URL: https://api.unified.to ``` -------------------------------- ### Schema: MessagingButton Source: https://api.unified.to/docs/openapi-messaging.json Schema definition for MessagingButton ```markdown ## Schema: MessagingButton Schema definition for MessagingButton **Type:** object - **id** (string) (required) - **text** (string) - **icon** (string) ``` -------------------------------- ### Schema: MessagingReaction Source: https://api.unified.to/docs/openapi-messaging.json Schema definition for MessagingReaction ```markdown ## Schema: MessagingReaction Schema definition for MessagingReaction **Type:** object - **reaction** (string) (required) - **member** (object) (required) - **user_id** (string) - **email** (string) - **name** (string) - **image_url** (string) ``` -------------------------------- ### PUT /messaging/{connection_id}/event/{id} Source: https://api.unified.to/docs/openapi-messaging.json API endpoint for PUT /messaging/{connection_id}/event/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|type|channel|message|button|user|raw|is_replacing_original)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Event ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **type** (string (MESSAGE_RECEIVED|REACTION_ADDED|REACTION_REMOVED|BUTTON_CLICK|APP_MENTION|CHANNEL_JOINED|CHANNEL_LEFT|CHANNEL_CREATED|CHANNEL_DELETED|USER_CREATED|USER_DELETED|USER_UPDATED)) ("MESSAGE_RECEIVED"|"REACTION_ADDED"|"REACTION_REMOVED"|"BUTTON_CLICK"|"APP_MENTION"|"CHANNEL_JOINED"|"CHANNEL_LEFT"|"CHANNEL_CREATED"|"CHANNEL_DELETED"|"USER_CREATED"|"USER_DELETED"|"USER_UPDATED") - **channel** (object) - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) (required) - **description** (string) - **parent_channel_id** (string) - **parent_id** (string) - **has_subchannels** (boolean) - **members** (array (MessagingMember)) Array items: - **user_id** (string) - **email** (string) - **name** (string) - **image_url** (string) - **is_active** (boolean) - **is_private** (boolean) - **web_url** (string) - **raw** (object) - **message** (object) - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **channel_id** (string) - **channel_ids** (array (string)): @deprecated; use channels instead - **channels** (array (MessagingReference)): Represents the names of all channels to which the message is sent. Identifies the channels where the message is posted. Array items: - **id** (string) - **name** (string) - **parent_id** (string) - **root_message_id** (string) - **message_thread_identifier** (string) - **author_member** (object): for email systems, this field represents the From value - **destination_members** (array (MessagingMember)): for email systems, this field represents the To value Array items: - **hidden_members** (array (MessagingMember)): for email systems, this field represents the BCC value Array items: - **mentioned_members** (array (MessagingMember)): for email systems, this field represents the CC value Array items: - **reactions** (array (MessagingReaction)) Array items: - **reaction** (string) (required) - **member** (object) (required) - **subject** (string) - **message** (string) - **message_html** (string) - **message_markdown** (string) - **attachments** (array (MessagingAttachment)) Array items: - **filename** (string) - **size** (number) - **content_identifier** (string) - **content_type** (string) - **download_url** (string) - **message_id** (string) - **web_url** (string) - **reference** (string) - **has_children** (boolean) - **is_unread** (boolean) - **buttons** (array (MessagingButton)) Array items: - **id** (string) (required) - **text** (string) - **icon** (string) - **raw** (object) - **button** (object) - **user** (object) - **raw** (object) - **is_replacing_original** (boolean) ### Responses #### 200 - Successful **MessagingEvent** - **id** (string) - **created_at** (string (date-time)) - **type** (string (MESSAGE_RECEIVED|REACTION_ADDED|REACTION_REMOVED|BUTTON_CLICK|APP_MENTION|CHANNEL_JOINED|CHANNEL_LEFT|CHANNEL_CREATED|CHANNEL_DELETED|USER_CREATED|USER_DELETED|USER_UPDATED)) ("MESSAGE_RECEIVED"|"REACTION_ADDED"|"REACTION_REMOVED"|"BUTTON_CLICK"|"APP_MENTION"|"CHANNEL_JOINED"|"CHANNEL_LEFT"|"CHANNEL_CREATED"|"CHANNEL_DELETED"|"USER_CREATED"|"USER_DELETED"|"USER_UPDATED") - **channel** (object) - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) (required) - **description** (string) - **parent_channel_id** (string) - **parent_id** (string) - **has_subchannels** (boolean) - **members** (array (MessagingMember)) Array items: - **user_id** (string) - **email** (string) - **name** (string) - **image_url** (string) - **is_active** (boolean) - **is_private** (boolean) - **web_url** (string) - **raw** (object) - **message** (object) - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **channel_id** (string) - **channel_ids** (array (string)): @deprecated; use channels instead - **channels** (array (MessagingReference)): Represents the names of all channels to which the message is sent. Identifies the channels where the message is posted. Array items: - **id** (string) - **name** (string) - **parent_id** (string) - **root_message_id** (string) - **message_thread_identifier** (string) - **author_member** (object): for email systems, this field represents the From value - **destination_members** (array (MessagingMember)): for email systems, this field represents the To value Array items: - **hidden_members** (array (MessagingMember)): for email systems, this field represents the BCC value Array items: - **mentioned_members** (array (MessagingMember)): for email systems, this field represents the CC value Array items: - **reactions** (array (MessagingReaction)) Array items: - **reaction** (string) (required) - **member** (object) (required) - **subject** (string) - **message** (string) - **message_html** (string) - **message_markdown** (string) - **attachments** (array (MessagingAttachment)) Array items: - **filename** (string) - **size** (number) - **content_identifier** (string) - **content_type** (string) - **download_url** (string) - **message_id** (string) - **web_url** (string) - **reference** (string) - **has_children** (boolean) - **is_unread** (boolean) - **buttons** (array (MessagingButton)) Array items: - **id** (string) (required) - **text** (string) - **icon** (string) - **raw** (object) - **button** (object) - **user** (object) - **raw** (object) - **is_replacing_original** (boolean) ### Example Usage ```bash curl -X PUT "https://api.unified.to/messaging/{connection_id}/event/{id}?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "type": "MESSAGE_RECEIVED", "channel": "value", "message": "value", "button": "value", "user": "value", "raw": "value", "is_replacing_original": "true" }' ``` ``` -------------------------------- ### PATCH /messaging/{connection_id}/event/{id} Source: https://api.unified.to/docs/openapi-messaging.json API endpoint for PATCH /messaging/{connection_id}/event/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|type|channel|message|button|user|raw|is_replacing_original)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Event ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **type** (string (MESSAGE_RECEIVED|REACTION_ADDED|REACTION_REMOVED|BUTTON_CLICK|APP_MENTION|CHANNEL_JOINED|CHANNEL_LEFT|CHANNEL_CREATED|CHANNEL_DELETED|USER_CREATED|USER_DELETED|USER_UPDATED)) ("MESSAGE_RECEIVED"|"REACTION_ADDED"|"REACTION_REMOVED"|"BUTTON_CLICK"|"APP_MENTION"|"CHANNEL_JOINED"|"CHANNEL_LEFT"|"CHANNEL_CREATED"|"CHANNEL_DELETED"|"USER_CREATED"|"USER_DELETED"|"USER_UPDATED") - **channel** (object) - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) (required) - **description** (string) - **parent_channel_id** (string) - **parent_id** (string) - **has_subchannels** (boolean) - **members** (array (MessagingMember)) Array items: - **user_id** (string) - **email** (string) - **name** (string) - **image_url** (string) - **is_active** (boolean) - **is_private** (boolean) - **web_url** (string) - **raw** (object) - **message** (object) - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **channel_id** (string) - **channel_ids** (array (string)): @deprecated; use channels instead - **channels** (array (MessagingReference)): Represents the names of all channels to which the message is sent. Identifies the channels where the message is posted. Array items: - **id** (string) - **name** (string) - **parent_id** (string) - **root_message_id** (string) - **message_thread_identifier** (string) - **author_member** (object): for email systems, this field represents the From value - **destination_members** (array (MessagingMember)): for email systems, this field represents the To value Array items: - **hidden_members** (array (MessagingMember)): for email systems, this field represents the BCC value Array items: - **mentioned_members** (array (MessagingMember)): for email systems, this field represents the CC value Array items: - **reactions** (array (MessagingReaction)) Array items: - **reaction** (string) (required) - **member** (object) (required) - **subject** (string) - **message** (string) - **message_html** (string) - **message_markdown** (string) - **attachments** (array (MessagingAttachment)) Array items: - **filename** (string) - **size** (number) - **content_identifier** (string) - **content_type** (string) - **download_url** (string) - **message_id** (string) - **web_url** (string) - **reference** (string) - **has_children** (boolean) - **is_unread** (boolean) - **buttons** (array (MessagingButton)) Array items: - **id** (string) (required) - **text** (string) - **icon** (string) - **raw** (object) - **button** (object) - **user** (object) - **raw** (object) - **is_replacing_original** (boolean) ### Responses #### 200 - Successful **MessagingEvent** - **id** (string) - **created_at** (string (date-time)) - **type** (string (MESSAGE_RECEIVED|REACTION_ADDED|REACTION_REMOVED|BUTTON_CLICK|APP_MENTION|CHANNEL_JOINED|CHANNEL_LEFT|CHANNEL_CREATED|CHANNEL_DELETED|USER_CREATED|USER_DELETED|USER_UPDATED)) ("MESSAGE_RECEIVED"|"REACTION_ADDED"|"REACTION_REMOVED"|"BUTTON_CLICK"|"APP_MENTION"|"CHANNEL_JOINED"|"CHANNEL_LEFT"|"CHANNEL_CREATED"|"CHANNEL_DELETED"|"USER_CREATED"|"USER_DELETED"|"USER_UPDATED") - **channel** (object) - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) (required) - **description** (string) - **parent_channel_id** (string) - **parent_id** (string) - **has_subchannels** (boolean) - **members** (array (MessagingMember)) Array items: - **user_id** (string) - **email** (string) - **name** (string) - **image_url** (string) - **is_active** (boolean) - **is_private** (boolean) - **web_url** (string) - **raw** (object) - **message** (object) - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **channel_id** (string) - **channel_ids** (array (string)): @deprecated; use channels instead - **channels** (array (MessagingReference)): Represents the names of all channels to which the message is sent. Identifies the channels where the message is posted. Array items: - **id** (string) - **name** (string) - **parent_id** (string) - **root_message_id** (string) - **message_thread_identifier** (string) - **author_member** (object): for email systems, this field represents the From value - **destination_members** (array (MessagingMember)): for email systems, this field represents the To value Array items: - **hidden_members** (array (MessagingMember)): for email systems, this field represents the BCC value Array items: - **mentioned_members** (array (MessagingMember)): for email systems, this field represents the CC value Array items: - **reactions** (array (MessagingReaction)) Array items: - **reaction** (string) (required) - **member** (object) (required) - **subject** (string) - **message** (string) - **message_html** (string) - **message_markdown** (string) - **attachments** (array (MessagingAttachment)) Array items: - **filename** (string) - **size** (number) - **content_identifier** (string) - **content_type** (string) - **download_url** (string) - **message_id** (string) - **web_url** (string) - **reference** (string) - **has_children** (boolean) - **is_unread** (boolean) - **buttons** (array (MessagingButton)) Array items: - **id** (string) (required) - **text** (string) - **icon** (string) - **raw** (object) - **button** (object) - **user** (object) - **raw** (object) - **is_replacing_original** (boolean) ### Example Usage ```bash curl -X PATCH "https://api.unified.to/messaging/{connection_id}/event/{id}?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "type": "MESSAGE_RECEIVED", "channel": "value", "message": "value", "button": "value", "user": "value", "raw": "value", "is_replacing_original": "true" }' ``` ``` -------------------------------- ### Schema: MessagingChannel Source: https://api.unified.to/docs/openapi-messaging.json Schema definition for MessagingChannel ```markdown ## Schema: MessagingChannel Schema definition for MessagingChannel **Type:** object - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **name** (string) (required) - **description** (string) - **parent_channel_id** (string) - **parent_id** (string) - **has_subchannels** (boolean) - **members** (array (MessagingMember)) Array items: - **user_id** (string) - **email** (string) - **name** (string) - **image_url** (string) - **is_active** (boolean) - **is_private** (boolean) - **web_url** (string) - **raw** (object) ``` -------------------------------- ### Schema: MessagingChannels Source: https://api.unified.to/docs/openapi-messaging.json Schema definition for MessagingChannels ```markdown ## Schema: MessagingChannels Schema definition for MessagingChannels **Type:** array - Array of MessagingChannel ``` -------------------------------- ### POST /messaging/{connection_id}/message Source: https://api.unified.to/docs/openapi-messaging.json API endpoint for POST /messaging/{connection_id}/message ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|channel_id|channel_ids|channels|parent_id|root_message_id|message_thread_identifier|author_member|destination_members|hidden_members|mentioned_members|reactions|subject|message|message_html|message_markdown|attachments|web_url|reference|has_children|is_unread|buttons|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **channel_id** (string) - **channel_ids** (array (string)): @deprecated; use channels instead - **channels** (array (MessagingReference)): Represents the names of all channels to which the message is sent. Identifies the channels where the message is posted. Array items: - **id** (string) - **name** (string) - **parent_id** (string) - **root_message_id** (string) - **message_thread_identifier** (string) - **author_member** (object): for email systems, this field represents the From value - **user_id** (string) - **email** (string) - **name** (string) - **image_url** (string) - **destination_members** (array (MessagingMember)): for email systems, this field represents the To value Array items: - **hidden_members** (array (MessagingMember)): for email systems, this field represents the BCC value Array items: - **mentioned_members** (array (MessagingMember)): for email systems, this field represents the CC value Array items: - **reactions** (array (MessagingReaction)) Array items: - **reaction** (string) (required) - **member** (object) (required) - **subject** (string) - **message** (string) - **message_html** (string) - **message_markdown** (string) - **attachments** (array (MessagingAttachment)) Array items: - **filename** (string) - **size** (number) - **content_identifier** (string) - **content_type** (string) - **download_url** (string) - **message_id** (string) - **web_url** (string) - **reference** (string) - **has_children** (boolean) - **is_unread** (boolean) - **buttons** (array (MessagingButton)) Array items: - **id** (string) (required) - **text** (string) - **icon** (string) - **raw** (object) ### Responses #### 200 - Successful **MessagingMessage** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **channel_id** (string) - **channel_ids** (array (string)): @deprecated; use channels instead - **channels** (array (MessagingReference)): Represents the names of all channels to which the message is sent. Identifies the channels where the message is posted. Array items: - **id** (string) - **name** (string) - **parent_id** (string) - **root_message_id** (string) - **message_thread_identifier** (string) - **author_member** (object): for email systems, this field represents the From value - **user_id** (string) - **email** (string) - **name** (string) - **image_url** (string) - **destination_members** (array (MessagingMember)): for email systems, this field represents the To value Array items: - **hidden_members** (array (MessagingMember)): for email systems, this field represents the BCC value Array items: - **mentioned_members** (array (MessagingMember)): for email systems, this field represents the CC value Array items: - **reactions** (array (MessagingReaction)) Array items: - **reaction** (string) (required) - **member** (object) (required) - **subject** (string) - **message** (string) - **message_html** (string) - **message_markdown** (string) - **attachments** (array (MessagingAttachment)) Array items: - **filename** (string) - **size** (number) - **content_identifier** (string) - **content_type** (string) - **download_url** (string) - **message_id** (string) - **web_url** (string) - **reference** (string) - **has_children** (boolean) - **is_unread** (boolean) - **buttons** (array (MessagingButton)) Array items: - **id** (string) (required) - **text** (string) - **icon** (string) - **raw** (object) ### Example Usage ```bash curl -X POST "https://api.unified.to/messaging/{connection_id}/message?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "channel_id": "string", "channel_ids": "value", "channels": "value", "parent_id": "string", "root_message_id": "string", "message_thread_identifier": "string", "author_member": "value", "destination_members": "value", "hidden_members": "value", "mentioned_members": "value", "reactions": "value", "subject": "string", "message": "string", "message_html": "string", "message_markdown": "string", "attachments": "value", "web_url": "string", "reference": "string", "has_children": "true", "is_unread": "true", "buttons": "value", "raw": "value" }' ``` ``` -------------------------------- ### Schema: property_MessagingMessage_buttons Source: https://api.unified.to/docs/openapi-messaging.json Schema definition for property_MessagingMessage_buttons ```markdown ## Schema: property_MessagingMessage_buttons Schema definition for property_MessagingMessage_buttons **Type:** array - Array of MessagingButton ``` -------------------------------- ### Security: authorization Source: https://api.unified.to/docs/openapi-messaging.json Security scheme: jwt ```markdown ## Security: authorization **Description:** Security scheme: jwt **Type:** apiKey ``` -------------------------------- ### PUT /messaging/{connection_id}/message/{id} Source: https://api.unified.to/docs/openapi-messaging.json API endpoint for PUT /messaging/{connection_id}/message/{id} ```markdown ### Parameters - **fields** (array (string (id|created_at|updated_at|channel_id|channel_ids|channels|parent_id|root_message_id|message_thread_identifier|author_member|destination_members|hidden_members|mentioned_members|reactions|subject|message|message_html|message_markdown|attachments|web_url|reference|has_children|is_unread|buttons|raw)), query, optional): Fields to return - **raw** (string, query, optional): Raw parameters to include in the 3rd-party request. Encoded as a URL component. eg. raw parameters: foo=bar&zoo=bar -> raw=foo%3Dbar%26zoo%3Dbar - **connection_id** (string, path, required): ID of the connection - **id** (string, path, required): ID of the Message ### Request Body **Content-Type:** application/json - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **channel_id** (string) - **channel_ids** (array (string)): @deprecated; use channels instead - **channels** (array (MessagingReference)): Represents the names of all channels to which the message is sent. Identifies the channels where the message is posted. Array items: - **id** (string) - **name** (string) - **parent_id** (string) - **root_message_id** (string) - **message_thread_identifier** (string) - **author_member** (object): for email systems, this field represents the From value - **user_id** (string) - **email** (string) - **name** (string) - **image_url** (string) - **destination_members** (array (MessagingMember)): for email systems, this field represents the To value Array items: - **hidden_members** (array (MessagingMember)): for email systems, this field represents the BCC value Array items: - **mentioned_members** (array (MessagingMember)): for email systems, this field represents the CC value Array items: - **reactions** (array (MessagingReaction)) Array items: - **reaction** (string) (required) - **member** (object) (required) - **subject** (string) - **message** (string) - **message_html** (string) - **message_markdown** (string) - **attachments** (array (MessagingAttachment)) Array items: - **filename** (string) - **size** (number) - **content_identifier** (string) - **content_type** (string) - **download_url** (string) - **message_id** (string) - **web_url** (string) - **reference** (string) - **has_children** (boolean) - **is_unread** (boolean) - **buttons** (array (MessagingButton)) Array items: - **id** (string) (required) - **text** (string) - **icon** (string) - **raw** (object) ### Responses #### 200 - Successful **MessagingMessage** - **id** (string) - **created_at** (string (date-time)) - **updated_at** (string (date-time)) - **channel_id** (string) - **channel_ids** (array (string)): @deprecated; use channels instead - **channels** (array (MessagingReference)): Represents the names of all channels to which the message is sent. Identifies the channels where the message is posted. Array items: - **id** (string) - **name** (string) - **parent_id** (string) - **root_message_id** (string) - **message_thread_identifier** (string) - **author_member** (object): for email systems, this field represents the From value - **user_id** (string) - **email** (string) - **name** (string) - **image_url** (string) - **destination_members** (array (MessagingMember)): for email systems, this field represents the To value Array items: - **hidden_members** (array (MessagingMember)): for email systems, this field represents the BCC value Array items: - **mentioned_members** (array (MessagingMember)): for email systems, this field represents the CC value Array items: - **reactions** (array (MessagingReaction)) Array items: - **reaction** (string) (required) - **member** (object) (required) - **subject** (string) - **message** (string) - **message_html** (string) - **message_markdown** (string) - **attachments** (array (MessagingAttachment)) Array items: - **filename** (string) - **size** (number) - **content_identifier** (string) - **content_type** (string) - **download_url** (string) - **message_id** (string) - **web_url** (string) - **reference** (string) - **has_children** (boolean) - **is_unread** (boolean) - **buttons** (array (MessagingButton)) Array items: - **id** (string) (required) - **text** (string) - **icon** (string) - **raw** (object) ### Example Usage ```bash curl -X PUT "https://api.unified.to/messaging/{connection_id}/message/{id}?fields=item1,item2&raw=string" \ -H "Content-Type: application/json" \ -d '{ "id": "string", "created_at": "2023-01-01T00:00:00Z", "updated_at": "2023-01-01T00:00:00Z", "channel_id": "string", "channel_ids": "value", "channels": "value", "parent_id": "string", "root_message_id": "string", "message_thread_identifier": "string", "author_member": "value", "destination_members": "value", "hidden_members": "value", "mentioned_members": "value", "reactions": "value", "subject": "string", "message": "string", "message_html": "string", "message_markdown": "string", "attachments": "value", "web_url": "string", "reference": "string", "has_children": "true", "is_unread": "true", "buttons": "value", "raw": "value" }' ``` ```